- ## 2.2.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added support to set the user interface language in iFile's preferences. This setting takes effect after restarting the application.
    - Added support for shortcuts on iPhone as on iPad (via bookmark button).
  - Fixes
    - iFile shows now the application names again under iOS 8 in /var/mobile/Containers/Bundles/Application.
    - Fixed that external viewers are listed again under iOS 8.
    - Fixed crash when an image got saved to the camera roll under iOS 8.
    - Fixed that the pop-up menu in file browser did not hide when tapping outside of the pop-up menu.
    - Added Hebrew localization (previously not added).
    - iFile does not crash anymore after it got backgrounded: It stays 3 minutes in background before it exits.

- ## 2.1.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - iFile shows now the application names again under iOS 8 in /var/mobile/Containers/Bundles/Application.
    - Fixed that external viewers are listed again under iOS 8.
    - Fixed crash when an image got saved to the camera roll under iOS 8.
    - Fixed that the pop-up menu in file browser did not hide when tapping outside of the pop-up menu.
    - iFile does not crash anymore after it got backgrounded: It stays 3 minutes in background before it exits.

- ## 2.1.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added Hebrew localization.
    - Added iPhone 6 and iPhone 6 Plus support.
    - Added icons for iPhone 6 Plus.
    - During search in file list the search magnifying glass icon gets replaced with an activity indicator.
  - Fixes
    - Fixed problem in not listing some external viewers, e.g. Whatsapp, Dropbox, iMovie etc.
    - Fixed issue that Bluetooth transfers via GameKit were not working on iOS 7+ anymore.
    - Fixed issue that stored URL from a 2nd tab will be stored back to 1st tab.
    - Fixed that status bar was black on black in Audio Player.
    - Fixed bug in Box SDK that lead to crash on launch on iOS 8.
    - Updated "Pull down to refresh" arrow with iOS 7 styled one on iOS 7 and later.
    - Fixed that integer numbers containing a decimal indicator (, or .) got interpreted as floats in Property List Editor number fields.

- ## 2.0.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed broken Open with... in Attributes Editor.
    - Corrected wrong iFile icon on iOS6 and below.

- ## 2.0.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Enhanced iFile to be compatible with iOS 7 including new icon, buttons, and iOS 7 look and feel.
  - Fixes
    - Fixed crash when used tried to enter a PayPal registration email address (only required for people who did not buy in Cydia Store).
    - iFile could not be terminated on iOS 7 via the App Switcher. This could only be fixed by always exiting it when you background it. However, it will stay active for another 180 seconds after backgrounding. It does not quit if you play music in background.

- ## 1.9.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed crash when saving a modified file in Hex Editor.

- ## 1.9.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added WebDAV client with support for HTTP and HTTPS.
    - Added Bonjour browser to find FTP, WebDAV and WebDAVS servers.
    - Added Hex Editor. It can be opened via Open with... in a file's Attributes Editor. It supports search, go to index, copy, cut, paste, delete, and undo/redo. Supported Gestures:
      - Tap on line numbers changes between hexadecimal and decimal representation.
      - Tap on hex/string fields sets cursor. Second tap on same position shows edit menu.
      - Double tap on hex/string fields selects a single byte/character.
      - Tripple tap on hex/string fields selects a complete line.
      - Long-press on hex/string fields lets you move the cursor around showing a magnifying glass.
      - Pinch changes the font size.
    - Added SQLite3 Editor for files with extension sqlite, sqlite3, sqlitedb, db. It allows to edit integer, float and string fields. Blob fields are not editable.
    - Added new preferences option to have folders to be at top of file list or sorted the same way as files (only sort by size is an exception to this as folders don't have a size associated with them).
    - Added Shared section in shortcuts on iPad to contain remote file system shortcuts, e.g box.net and Dropbox.
    - Enabled mounting of MSDOS formatted disk images (DMG) and also mounting of ISO disk images.
    - Import of songs and videos to iPod Library is now a free feature requiring the Gremlin Framework package to be installed.
    - Bulgarian language support added (provided by Kristiyan Tanev).
  - Fixes
    - Corrected download progress for download of a single file from an FTP server.
    - Corrected double loading of directory contents on iPhone after clearing a remote server cache.
    - Fixes to WebDAV server to better play with new iFile WebDAV client.
    - Added username and password form in case loading an FTP directory failed because of failed authentication.
    - Fixed failing directory creation during hierarchical upload to box.net.
    - Fixed that songlist and play options in Audio Player were ill formatted when Audio Player got opened in landscape mode on iPad.
    - Fixed that canceling downloads from Dropbox did just close the HUD, but did not cancel the operation.
    - Corrected that taps on the play options in Audio Player caused the play options view to be hidden.
    - Corrected illegal character in Czech localization.
    - Fixed that Dropbox-to-Dropbox move/copy did not work (also applies to renaming of files) because of changed Dropbox API.
    - Fixed bug that lead to not showing the viewer chooser for files that don't have a supported mime-type.
    - Fixed crash in Audio Player in case of certain invalid ID3 data in a song.

- ## 1.8.1-1 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Corrected iFile binary for old iDevices (armv6) to be identical to 1.7.2-2 instead of 1.7.0-2.
    - Corrected that iFile did not run as super user on old iDevices (armv6).
    - Updated Hungarian localization and HTML files.
    - Fixed crash on iOS 5.1 when linking to Dropbox (happened when Dropbox app was not installed).
    - Fixed that iFile did not remember that it got already linked to a box account.
    - Fixed that option bar got hidden in AudioPlayer when the user tapped on repeat mode button, shuffle button or iPod Library Import button.

- ## 1.8.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Updated iFile for iPhone 5 (startup image) and iOS 6 support in general.
    - Support added for accessing box.net as remote file system.
    - Support for remote browsing of Toshiba FlashAir SDCards added as remote file system (browsing and copying supported).
    - Upgraded Dropbox SDK Version to 1.3.2 - mandatory to allow authentication beyond 30-Nov-2012.
    - Removed trash icon for closing tabs and added close button instead (similiar to Safari).
    - Added xm file extension to be opened in iFile's Text Editor by default.
    - Switched compiler from GCC to CLANG.
    - The fixes and enhancements of this release will only apply to armv7 based iOS devices, i.e. following iOS devices:
      - All iPads running iOS 4 or later.
      - All iPhones starting with iPhone 3GS or later.
      - All iPod touch starting with iPod touch (3rd gen.) or later.
    - Added background images to file browser to ease identification of box, Dropbox and FTP tabs.
    - Added labels for file system type and path to tab chooser.
  - Fixes
    - Fixed crash in Registration Status dialog after entering it for 2nd time.
    - Corrected reflection of browser images in tab chooser.
    - Crash fixed in Zip Viewer.
    - Fixed deadlock during startup of iFile when a password needed to be entered for an FTP server, but it was blocked by the startup GUI.
    - Fixed registration failures on iOS 6
    - Fixed that browser did not refresh after file renaming on an iPad.
    - Fixed various issues with bookmarking of files on iPad.

- ## 1.7.2-2 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed wrong field height in Preferences on iPad.

- ## 1.7.2-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - iFile will now show a movie icon for avi files.
    - iFile's web server shows now also App names and song titles instead of cryptic paths when these options are enabled in iFile's preferences.
    - Updated iFile's web server's favicon.
    - Added support for automatically uploading text files edited on an FTP server after a save operation in Text Editor.
  - Fixes
    - Explicitly setting of black background for tab chooser.
    - Avoided dead lock when password entry for FTP server was required, but GUI was blocked by glass pane.
    - Fixed that navigation bar did not get hidden during search on FTP server and Dropbox.
    - Fixed that search on FTP server and Dropbox did not show matching directories.
    - Added workaround to avoid crashes during directory listings on FTP servers not supporting UTF8 natively. Files with special characters on such servers list now correctly, but cannot be renamed, moved or copied.
    - Fixed broken creation of symbolic links via 'New' form.
    - Fixed GUI glitch of too large field for buying an iFile license.
    - Fixed empty preferences after returning from About iFile.
    - Fixed that hierarchical search always searched also in hidden folders independent of iFile's preferences setting.
    - Fixed that for cached files from an FTP server the list of file viewers was incorrectly displayed.
    - Fixed that an cancelled FTP file transfer did not get interrupted.
    - Fixed that file name of the ZIP got shortened when it contained multiple dots in its name.
    - Fixed that deletion of multiple files on FTP server stopped after first file deletion.
    - Fixed that a select all in search results did not make the toolbar visible again.
    - Corrected behavior when editing attributes of a file in search results: After pressing done in Attributes Editor, the user returns to the current directory instead of the search results.

- ## 1.7.1-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added support for loading MobileSubstrate extension SwipeShiftCaret.dylib.
    - Added support for hiding dot files on QNAP NAS (start with :2e).
    - Vietnamese Localization added.
    - preinst script included in iFile package that kills iFile before installation in Cydia.
  - Fixes
    - Corrected reformatted preferences view when returning from sub-views.
    - Corrected handling of empty file name when creating new file/folder/link to avoid crash.
    - Corrected handling special characters in user names in FTP URL's, e.g. email addresses.
    - Corrected that Attributes Editor did not close after FTP/Dropbox file renaming (iPhone).
    - Corrected that directory listing did not get updated after FTP/Dropbox file renaming (iPad).
    - Corrected reading of preferences so that they don't get overwritten by defaults (iOS 4.x).
    - Corrected shortened directory listings on FTP servers in case of large number of files./li>
    - Corrected bug that not all files of large FTP directories did get copied/moved to local file system.
    - Fixed display issue when user rotated the iDevice in a viewer and then returned to file browser.
    - Fixed crash while storing a text file in Dropbox from Text Editor.
    - Corrected too small display of PDF's on 3rd generation iPad.
    - Corrected Image and PDF Viewer to display the images and PDF's fixed centered (iOS 5.x).
    - Corrected handling of copying between remote and local file systems in case of using just a single tab.
    - Fixed crash in Preferences->Registration Status.
    - Fixed crash when deleting files.

- ## 1.7.0-2 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Corrected Polish and Japanese localizations.
    - Included Hungarian and European Portuguese localizations in package.

- ## 1.7.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added option to open new tabs using bookmarks.
    - Completely refactored local and remote file handling.
    - New FTP client supporting copy, cut, paste, rename, delete.
    - Overhaul of Dropbox implementation.
    - Changed iFile-to-iFile Bluetooth transfer to disable device locking during transfer.
    - Added section index also in case of sorting and grouping files by extension.
    - Restructured iFile's preferences.
    - AirBlue Sharing support added.
    - Added support for auto mounting harddisks (MSDOS and HFS file systems) on iPad via Camera Connection Kit.
    - Hungarian and European Portuguese localization added.
  - Fixes
    - Corrected German and Chinese localizations.
    - Fixed handling of large files sizes for download, upload and directory listing in Web Server.
    - Added strict type checking on preferences to avoid potential crashes because of illegal values in the preference file.
    - Fixed crash on iPad while changing attributes hierarchically.
    - Updated French localization.
    - Fixed crash of Web Viewer on iOS 5.1 (caused by iOS bug).
    - Avoided showing of . and .. for mounted flash drives.
    - Fixed broken disk image mounting for iOS 5.x.

- ## 1.6.1-3 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Fixed issue in web server's content headers leading to corrupt pages for Firefox 8.
    - Fixed segmentation fault when renaming Dropbox files on iPad.
    - Updated Dropbox SDK to version 0.3.
    - Added korean translator to features.html.
    - Corrected too small "Pull down to reload" label in Chinese in landscape on iPad.
    - Fixed registration status dialog field sizes.
    - Corrected position of Done button in HUD when saving a file to Dropbox from Text Editor.
    - Fixed that saving a file from Text Editor to Dropbox failed when the filename contained special characters.
    - Fixed Send/Cancel button handling for support emails for iOS 5.
    - Fixed that downloaded Dropbox music files could not be played in Audio Player.

- ## 1.6.1-2 - Bugfix Release (iOS 4.x and later)

  - Fixes
    - Corrected French translation for "The image got successfully added to the camera roll.".
    - Added Web Viewer as default for mime-types image/jpeg, image/bmp, image/png, image/tiff,image/gif.
    - Added no-artwork image for Audio Player in iPad's native resolution.
    - Localized "MB free" at bottom of file browser.
    - Corrected that image sizes did not get displayed correctly for @2x files.
    - Fixed bug that lead to re-registration of iFile at every start.
    - Fixed crash in Audio Player related to empty genre string setting in mp3 files.

- ## 1.6.1-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - Added support for DMG (Apple Disk Image) mounting./li>
    - Dropbox files and directories get shown in green color if they are contained in local cache.
    - Dropbox choice in add tab dialog will only be shown if iFile got linked to Dropbox.
    - Added support for cover art embedded in mp3 files (ID3).
    - Added support for copying a file's MD5 sum in Attributes Editor by tapping on it.
    - Added support for copying public Dropbox link in Attributes Editor.
    - Added support for cancelling Dropbox downloads.
    - Enhanced support email to block email sending when no issue has been entered.
    - Added support for displaying the image size in title bar in Image Viewer.
  - Fixes
    - Fixed that Done button in Attributes Editor did not work for Dropbox files.
    - Corrected typo in file name for loading of KeybordFix.dylib to support custom keyboards also on iOS 4.3.x.
    - Corrected that in some translations the "Pull down to refresh..." had a too large font and that the arrow had the wrong position.
    - Added support for Open with... in Attributes Editor for Dropbox files.
    - Corrected that after a file change, e.g. attributes, text editor, plist editor, the list got reloaded and scrolled to top.
    - Fixed crash because of illegal preference values.

- ## 1.6.0-1 - Feature and Bugfix Release (iOS 4.x and later)

  - Enhancements
    - File Browser
      - Full Dropbox support with following features (Registered Users):
        - Copy/move from local file system to Dropbox, from Dropbox to local file system, from Dropbox to Dropbox.
        - Create new folders in Dropbox.
        - Edit filename for files and folders on Dropbox.
        - Show thumbnails in file browser if they are available from Dropbox - supported in 32x32 and 64x64 (retina) resolution.
        - Downloaded files and thumbnails get cached locally.
        - The Dropbox cache can be cleared in Preferences.
        - A user can link to and unlink from Dropbox via Preferences.
        - Pressing Home button on a Dropbox tab gets the user to Dropbox root directory.
      - Added support for "Pull down to reload" in file browser (above search bar).
      - Added display of number of files in current directory and free bytes in associated file system at bottom of file browser (for local file system and Dropbox).
      - Added support for long press on table to select all also in non-editing mode.
    - Attributes Editor
      - Added support for Add to iPod Library for songs and videos (only available if Celeste or YourTube got also purchased).
    - Image Viewer
      - Added confirmation for image deletion in Image Viewer.
    - Web Viewer
      - Added webarchive support.
    - Audio and Video Player
      - Added support for playing content (music/videos) purchased in iTunes.
    - Preferences
      - Added preferences setting to store paths, i.e. paths of tabs get stored on exit.
      - Changed default of "Use Trash" to Yes.
    - Localizations
      - Updated Romanian localization and change-log.
      - Polish updated.
      - Added Korean localization.
  - Fixes
    - Added loading of KeybordFix.dylib to support custom keyboards also on iOS 4.3.x.
    - Added iFile package dependency on diskdev-cmds package to allow unmount of SDCards/USB sticks connected to iPad via Camera Connection Kit.
    - Fixed that when tapping on 'Apply hierarchically' in Attributes Editor, the 'Open with...' dialog came up.
    - Fixed that with active "swipe to delete" pressing the Edit button lead to inconsistent table appearance.
    - Corrected that rotation deselected browser items and reloaded folder contents.
    - Fixed that if a file got removed that a symbolic link pointed to, lead to hiding the symbolic link in the file browser.
    - Corrected cydia:///package/ to cydia://package/ in all about.html.
    - Disabled iPod lib export button for videos in Attributes Editor if Gremlin 2 is not installed.
    - Disabled confirmation dialog when cancelling a support email.

- ## 1.5.0-4 - Bugfix Release

  - Fixes
    - Fixed issue with not being able to create directories containing spaces in their path.
    - Fixed issue that spinning wheel still did not disappear for some users.
    - Fixed issue that pressing + button to add a file/folder/link for fourth time crashed iFile.
    - Corrected bug that changes in a String field of an Array in a property list did not get stored.
    - Corrected that after a change of a file in Property List Editor or Text Viewer the file browser did not get updated.

- ## 1.5.0-3 - Bugfix Release

  - Fixes
    - Fixed issue that if a non-existing folder was referenced in iFile's preferences, iFile still showed the spinning wheel forever.
    - Fixed that using a URL like ifile:///<path> did not go to that path in the file browser for files and did not work at all if the URL referred to a directory.
    - Corrected failing registration for some users with registration problems.
    - Fixed that directory did not get updated after running the Installer and Unarchiver.

- ## 1.5.0-2 - Bugfix Release

  - Fixes
    - Fixed issue that if a folder iFile starts with did not exist, iFile showed the spinning wheel forever.
    - Fixed crash when transferring a file from iFile to iFile (sender crashes).
    - Fixed bug that when a user chose select all, iFile did not enable the toolbar buttons.
    - Fixed crash when tapping on folder in search results of hierarchical search.
    - Fixed crash when choosing a viewer for a file without known type for 4th time.
    - Fixed that opening files in iFile via URL ifile:///<path> did not work anymore. This was a problem in context with Attachment Saver and Safari Download Manager.
    - Slowed down animation when moving through tabs in tab chooser (cover flow).
    - Enabled antialiasing in tab chooser (cover flow).

- ## 1.5.0-1 - Feature and Bugfix Release

  - Fixes
    - Corrected broken links in Web Server index pages for files with special characters.
    - Updated Chinese localizations.
  - Enhancements
    - Loading of libstatusbar.dylib and SwipeToMoveCursor.dylib enabled.
    - Romanian localization added.
    - Celeste/Gremlin Integration
      - Added support for sending files via Celeste (Bluetooth).
      - Added support for adding songs to iPod Library using Gremlin for @cocoanutapps. This is possible in Attributes Editor and Music Player.
      - Removed support for iBluenova for iOS 4.x and later.
    - File Browser
      - Added MD5 sum calculation for files in Attributes Editor.
      - Initial directory content retrieval backgrounded.
      - Added glass pane covering GUI while loading initial directory content.
      - Replaced action button with clipboard button image (editing mode).
      - Added support for up to eight tabs via new button in file browser toolbar.
      - Added tab chooser using cover flow GUI. Allows adding and removing tabs.
      - Added support for two-finger swipe gesture to allow swiping between tabs.
      - Removed info button from file browser toolbar.
      - Added support for long press on table to select, select all, deselect all, copy, cut, paste, link.
      - Removed behavior that double tapping the table selected/deselected all files.
    - Preferences
      - Removed "Store on exit" option in preferences as it is obsolete in context of tabs.
      - Added About iFile and Contact Developer fields.
      - Implemented GUI Color setting (navigation bars and toolbars for selected viewers).
      - Changed default icon theme to Leopard.
    - Property List Editor
      - Corrected cell formatting to avoid empty space in multi-line cells.
      - Changed font size used in String Editor in Property List Editor (larger).
    - ZIP Viewer
      - Added support for extracting password encrypted zip files.

- ## 1.4.2-1 - Feature and Bugfix Release

  - Fixes
    - Fixed iFile crash when sending directories via Bluetooth (will just abort).
    - Implemented search bar for Property List Editor.
    - Fixed overly large memory consumption during hierarchical file search.
    - Registered Web Viewer and Text Viewer for SVG files (image/svg+xml mime-type).
    - Added delete button in Image Viewer.
    - Changed string fields in Property List Editor to allow multi-line values.
    - Added support to go to directory of a file via Attributes Editor's path field.

- ## 1.4.1-3 - Bugfix Release

  - Fixes
    - Corrected bug that PDF Viewer did not allow to swipe to last page.
    - Corrected on iPad that Image and PDF Viewer hid the navigation bar and tool bar when print form and bookmark creation form were visible.
    - Implemented better error handling in Video Player for invalid formats.
    - Fixed issue that if iFile was not yet running in background and opening a file in iFile via ifile:///<path> URL (e.g. from Safari Download Manager) opened the file viewer, but did not close the file viewer choice list.
    - Corrected two-finger double-tap zoom-out behavior in Image and PDF Viewer to completely zoom out.
    - Enhanced Audio Player to remember visibility of repeat/shuffle options (shown after tap on album cover).

- ## 1.4.1-2 - Bugfix Release

  - Fixes
    - Fixed bug that pressing Done button after a file name change in Attributes Editor did not close the Attributes Editor.
    - Updated Chinese translation of change-log, features and about pages.

- ## 1.4.1-1 - Bugfix and Feature Release

  - Enhancements
    - Added support for two-finger double tap to zoom out in PDF and Image Viewer.
    - Updated Portuguese, Czech and Arabic localization
    - Updated Polish change-log translation
  - Fixes
    - Fixed crash in portrait mode when pressing sidebar button on iPad.
    - Corrected bug (related to iOS bug) that the file attributes of files on a flash drive were not shown and could not be edited.
    - Fixed that the trash icon remained disabled after swipe to delete.
    - Fixed handling of images opened via Open with... in Image Viewer.
    - Limited zoom-in in PDF and Image Viewer to max. zoom scale.
    - Fixed iFile crash when showing file contents of certain password encrypted rar files.
    - Fixed crash of PDF Viewer.
    - Fixed crash when opening same file for 3rd or 4th time in PDF Viewer or Image Viewer.
    - Fixed display problem when showing search bar in Text Editor in landscape mode.
    - Corrected name of mpeg@2.png to mpeg@2x.png in Leopard theme.
    - Registered Text Viewer in addition to Property List Editor for application/x-plist mime-type as default viewer.
    - Property List Editor
      - Performance improvements for large dictionaries and arrays.
      - Fixed bug that led to empty strings files in Property List Editor after saving.
      - Fixed that iFile did not store a field's value in case done got pressed when the field got still edited (keyboard visible).

- ## 1.4.0-1 - Bugfix and Feature Release

  - Please note that the enhancements in this release are only available on devices with iOS 4.0 and later.
  - This release contains only an updated and translated localization for Chinese, Croatian, Dutch, English, Finnish, French, German, Greek, Italian, Japanese, Polish, Russian, Slovak, Spanish, Turkish, Ukrainian. All other localizations will get updated in following minor releases.
  - Enhancements and Fixes
    - Added loading of libactivator.dylib.
    - Corrected typo's in Chinese and English localization files.
    - If trash is used and a file is supposed to be moved to trash, an already existing file at same target path gets deleted before the move.
    - Added new GUI-based Property List Editor.
    - Added support for extracting password protected rar files in Zip Viewer.
    - Allowed rotation in all directions again.
    - Enhanced mounting of USB sticks so that multiple mounts are possible at same time (e.g. using a USB hub). Maximum is currently 4 mounts in parallel.
    - Enhanced Voice Over support for file browser in edit mode.
    - Added thumbnailing file size limit to preferences.
    - Added support for Retina display for
      - image thumbnailing
      - icon themes
      - button images in GUI
    - Image Viewer
      - Added swipe functionality.
      - Added double-tap to zoom.
      - Added AirPrint support (iOS 4.2.1 and later).
      - Added support for raw file formats:
        - Canon: crw, cr2
        - Epson: erf
        - Fuji: raf
        - Hasselblad: 3fr
        - Kodak: kdc
        - Mamiya: mef
        - Minolta: mrw
        - Nikon: nrw, nef
        - Olympus: orf
        - Panasonic: rw2
        - Pentax: pef
        - Sony: arw, sr2
    - PDF Viewer
      - Added swipe functionality.
      - Added double-tap to zoom.
      - Added AirPrint support (iOS 4.2.1 and later).
    - Text Editor
      - nib, plist and strings files get interpreted as property list files.
    - Video Player
      - Added AirPlay support (iOS 4.2.1 and later).
      - Added support for 3g2 and 3gpp2 video formats.
      - Fixed broken TV Out.
    - Web Viewer
      - Added AirPrint support (iOS 4.2.1 and later).

- ## 1.3.2-1 - Bugfix and Feature Release

  - Enhancements and Fixes
    - Updated Czech localization
    - Added creation of application support folders.
    - Added creation of AddressBook symbolic link for user root.
    - Added support for opening files when iFile is in background.
    - Added support for iPod controls, headset support (handling of remote control events), i.e. previous, next, play, pause, stop.
    - Fixed that Audio Player did not go to next song when in background.
    - Fixed crash when deleting shortcuts on iPad.
    - Updated icon for iOS 4.x on iPhone 3G(S) etc.
    - Accessability support added to file browser cells.

- ## 1.3.1-1 - Bugfix and Feature Release

  - Enhancements
    - Implemented digest authentication for Web/WebDAV Server (makes it compatible with Windows 7).
    - New icons for iOS4 on iPhone 4 (app icon and small icon for spotlight).
    - Added preferences setting to enable/disable external viewers.
  - Fixes
    - Fixed that Web Server, Preferences turned black.
    - Fixed crash in Audio Player when artist was not set for a song and playlist got shown.
    - Corrected space for song length remainder time for the song position slider in Audio Player so that very long song times get shown correctly.
    - Fixed position of alert for creating a ZIP file in File Browser and for going to a page in a PDF file in PDF Viewer so that it is not hidden behind the keyboard anymore.
    - Fixed crash of iFile in Text Editor when searching while in edit mode.
    - Fixed crash when creating symbolic link.

- ## 1.3.0-2 - Bugfix Release

  - Fixes
    - Fixed issue in Attributes Editor that text field values did not get used when pressing done/create.
    - Fixed that opening a file in any viewer lead to unmounting a mounted flash drive. Instead iFile unmounts at exit now.
    - Fixed crash in thumbnailing.
    - Corrected background color of thumbnails.
    - Minor correction in Polish localization.
    - Fixed that recipients did not get found in user's contacts when composing an email with an attachment.

- ## 1.3.0-1 - Feature and Bugfix Release

  - Added support for iOS 3.2 and iOS 4.0 File Sharing
    - Added support for opening file types in iFile by external applications on iOS 3.2 and iOS 4.0, e.g. Mobile Mail attachments. iFile becomes an external viewer for multiple formats.
    - Added support to use the new file exchange support so that iFile can open files with external (AppStore) viewers that support specific file types, e.g. Pages, Numbers, Keynote, Air Sharing etc.
  - iPad Enhancements
    - Added sidebar containing shortcuts and bookmarks for iPad including mounting and unmounting support for USB Sticks and SDCards connected to the iPad via the Camera Connection Kit.
    - Changed GUI color on iPad to be the default gray.
    - Changed behavior of buttons vs. pop-over views so that pressing a button when a pop-over is still visible closes the pop-over and executes the button action afterwards.
    - Corrected preferences behavior to immediately having effect on file browser when changing settings.
  - General Enhancements
    - Replaced progress HUD with a new custom one that supports rotation of the device.
    - Moved thumbnail creation into background thread so that scrolling with thumbnails is smoother.
  - Fixes
    - Fixed crash at startup on iOS4.
    - Fixed broken Web Server for iOS4.
    - Fixed that after file/directory/link creation the file browser did not update the file list on iPad.
    - Fixed that app directory name did not get shown on iPad when app names were enabled in preferences.
    - Corrected action view position in Zip Viewer when unpacking items on iPad.
    - Corrected that file name and link target fields forget their setting when getting scrolled out of view in Attributes Editor.
    - Corrected size display in file browser for files > 2GB.

- ## 1.2.2-1 - Feature and Bugfix Release

  - Added support for iPad
    - Usage of pop-over views for bookmarks, preferences, attributes, Open with... dialogs and all action dialogs.
    - Show also file size and file modification date in File Browser when displaying song titles, search results etc.
  - MobileSubstrate Extension Support
    - Loading of QuickScroll2 added when available.
  - File Browser
    - Changed default to "Directory" when creating a new file/directory/link.
    - New iFile icon without shadow for iPhoneOS 4.0.
  - Fixes
    - Fixed broken zooming in Web Viewer, e.g. xls, doc, html documents etc.
    - Minor correction in French localization
    - Fixed that fields with on/off switch in Preferences "forgot" their setting during scrolling.
    - Removed upside-down rotation.
    - Fixed that the bookmarks editor did not save the bookmarks in case they got added and immediately used.

- ## 1.2.1-2 - Bugfix Release

  - Fixes
    - Fixed that the Registration Status view did not allow entering a registration email address on the iPad.
    - Corrected encoding of change log files for multiple languages.
    - Added loading of Rotation Inhibitor Mobile Substrate extension.

- ## 1.2.1-1 - Feature and Bugfix Release

  - Added support for iPad
    - Adjusted Audio Player to scale correctly also on iPad.
    - Added new icons in required resolutions for iPad.
    - Added startup images for iPad in portrait and landscape mode.
    - Updated Info.plist to contain supported iPad orientations of iFile.
    - Fixed video playback for iPad and OS 4.0.
  - Fixes
    - Fixed crashes in Web Viewer (used for documentation viewing, xls, doc, html, pages etc.)
    - Fixed crash in case a user had Universal apps (iPhone and iPad) from AppStore installed that used the incorrect key in its Info.plist for listing icons.
    - Updated Czech localization and documentation
    - Removed automatic loading of MobileSubstrate extensions apart from: ActionMenu, Backgrounder, WinterBoard, KeyboardSupport, SimulatedKeyEvents, mcclient, UIHook-iKeyEx3, resupported.
  - Audio Player
    - Added storing of repeat mode setting of Audio Player in iFile's preferences.
  - Web Server
    - Fixed issue of failed copy operations when copying a file from iFile's WebDAV server to a PC using Windows' WebDAV client (added Last-Modified tag to HTML response header).
    - Fixed issue that copy from Mac to iFile failed because of wrong chunked format handling in iFile.
    - Fixed that move or copy requests failed on Mac's WebDAV client when using Bonjour.

- ## 1.2.0-1 - Feature and Bugfix Release

  - Additional Localizations
    - Support for Croatian, Finnish and Greek added.
  - Fixes
    - Fixed crash when starting Movie Player after Audio Player.
    - Fixed crash when searching and rotating at same time.
    - Fixed problem when saving old-style PLIST files in Text Editor.
    - Removed fade-effect of image tiles in PDF Viewer.
  - Registration
    - New registration mechanism so that users who bought iFile in Cydia Store do not need to enter their email address anymore in iFile.
  - Preferences
    - Setting to show/hide application names in /var/mobile/Applications
    - Setting to allow showing files in groups (Grouping)
    - Setting to allow sorting in ascending or descending order.
    - Thumbnail limit stored in iFile preferences, but not shown in Preferences GUI.
  - File Browser
    - New icon for iFile designed by Daniel Waldron from EyeDevs
    - iFile-to-iFile Bluetooth file transfer. On receiver side no registration required. On sender side iFile needs to be registered.
    - File transfer of single files via iBlueNova to any supported other devices
    - The file browser allows now to group files depending on the chosen sorting:
      - Alphabetic Grouping with Index: A-Z, and #.
      - Grouping by Extensions
      - Grouping by Size Ranges: 0-10KB, 10-100KB, 100KB-1MB, 1MB-10MB, 10MB-100MB, >100MB.
      - Grouping by Date Ranges: Today, Yesterday, Earlier this week, Last week, Earlier this month, Last month, Two months ago, Earlier this year, Last year, Two years ago, Older.
    - Changed sorting of files names and extensions to be not only case insensitive, but also sort for numbers in file names, e.g. a file named "Hugo (10).txt" will now display after "Hugo (8).txt".
    - Fixed position of bookmark icon by using a custom icon instead of the system icon (iPhoneOS bug).
    - Enhanced file search to also search audio file tags (title, artist, album) when display of song titles is enabled in iFile's preferences.
    - Removed limitation of ifile:// custom URL scheme to files under /var/mobile.
  - File Types
    - PDF Files: Users can now choose Web Viewer or PDF Viewer to view PDF files.
    - SQLite3: Support for mime-type application/x-sqlite3 interacting and using kennytm's SQLite3 application as external viewer (can be found here).
    - mm: Files with extension mm are now associated with the Text Viewer.
  - PDF Viewer
    - Fixed memory leak when changing to different page.
    - Moved "goto page" button to navigation bar displaying current page number and total number of pages.
    - Goto page dialog does not have a value preset anymore.
  - Emailing Attachments
    - Removed "Emailing Attachments with iFile" from subject and "iPhone Attachments with iFile" from body when sending emails with attachments.
  - Web Server
    - Added WebDAV support (allows usage of iFile as network drive on Windows, Linux and MacOSX) - this functionality is restricted to registered users.
    - Added support for username/password protection of the web server. This is only a basic protection.
    - Changed directory listing to list directories first and then files.
    - Fixed problem with sometimes incorrectly displayed http address of web server.
    - Fixed problem that the web server often complained about being unsuccessful in starting. The reason was that the port it tried to use was still in use. Now it reuses the port and does not complain anymore.
    - Fixed issue that the file name did not get used when uploading a file with Internet Explorer.
    - Changed how uploaded files get named in case file with same name already exists: New file gets original name with "(<number>)" plus extension, e.g. "uploaded.txt" gets renamed to "uploaded (1).txt" if "uploaded.txt" already exists.
  - MPEG 4 Audio File Parsing
    - iFile extracts the song length now directly from an m4a's meta data instead of using a slow system call. This speeds up listing of song titles in file browser for very large audio podcast files.
  - Audio Player
    - Added support for double tap on album cover to switch to playlist view.
    - Added new repeat mode to play a single song without repeat. This is the new default.
  - Video Player
    - Added support for TV output via official Apple cable.
  - Compressed File Viewer
    - Fixed issue that not all files contained in a tar file did get displayed.
  - Unarchiver
    - In addition to the Compressed File Viewer it is now also possible to directly extract a compressed file without viewing its contents.

- ## 1.1.0-1 - Feature and Bugfix Release

  - General
    - iFile is now only compatible with 3.0. All legacy code for 2.x compatibility has been removed.
    - Changed registration to also happen when leaving Registration Status view in iFile's Preferences.
    - The com.saurik.mamu (mailto:attachment=) package dependency got removed.
    - Some of the functionality listed for this release will be available only for registered users:
      - File name search.
      - External viewer support.
      - Playlist playing in new Audio Player.
      - Display of song title instead of file name for audio files.
      - Display of thumbnails instead of default icons for images.
      - Text editor search functionality.
  - Localizations
    - Added Dutch and Slovak localization.
  - File Browser
    - Added file name search capability. The search can be performed in current directory only or in the whole directory hierarchy starting at the current directory. The search string is case and diacritic insensitive. Searches in Edit mode of the File Browser allow deletion, copying, cutting and zipping of the found and then selected files. Search results show date and size for current directory and path for other directories. Via iFile's preferences the user can choose if the search string should be of
      - Simple format: search text contained in filename, e.g. "test",
      - Wildcard format, e.g."*test*",
      - Regular Expression format, e.g. ".*test.*".
    - Changed deselection behavior of browser when navigating upwards in hierarchy: Now the according directory gets deselected after navigating up. This makes it easier to understand where you came from.
    - Added support to display of AppStore application name instead of cryptic folder name for directories in ~mobile/Applications. Under the application name the real directory name gets displayed.
    - Copy, cut and paste has been migrated to use the iPhoneOS' global clipboard. This has the side effect that the file paths (and also file URL's) of copied files will be available also in other applications. File content is not copied to the clipboard.
    - An audio file's song title can be shown instead of the file name. This can be enabled/disabled via iFile's preferences.
    - For images iFile can show an image thumbnail instead of the default image. This option can be enabled/disabled via iFile's preferences. Image thumbnails are only created for images smaller than 1MB.
  - Attributes Editor
    - Added support to change permissions and ownership hierarchically for a directory.
      - It applies user and group to all directories and files in the hierarchy.
      - For directories permissions will be set identically as for the top directory.
      - For files permissions get set only in respect to read and write as set on top directory. If a file was already executable, it remains executable. Sticky bits get set as on the top level directory.
    - Added button in case of image files to add the file to iPhone's camera roll (also possible from Image Viewer).
    - Added button in case of video files to add the file to iPhone's camera roll (only available on iPhoneOS 3.1).
    - Fixed crash in case of files/folders with owner or group set to an ID not existing in the user/group database of iPhoneOS.
  - File Types
    - Added pps as supported file format.
    - Added mime-type video/x-flv to open OpenStreamer (external).
  - Compressed File Handling
    - Fixed multiple issues in conjunction with compressed files.
    - Compressed files can now be created and extracted in any folder and not only ones owned by user mobile.
    - Extraction of tar.gz, tar.Z and tar.bz2 did not work at all in the past. This is fixed now.
    - Deletion of files from a compressed file is supported only for zip.
  - Symbolic Link Creation
    - Symbolic link creation has been made much easier now:
      - Select the files you want to link to in File Browser in Edit mode.
      - Press the action button and choose "Copy/Link".
      - Go to the directory where you want the symbolic links to be created.
      - Press the action button again and choose "Symbolic Link".
  - Audio Player
    - A completely new designed audio player resembling the built-in audio player.
    - Support for playing files from an m3u playlist, all files in a directory or all files found with iFile's file search interface.
    - Supports repeat of whole playlists or a single song.
    - Supports shuffle play of playlists.
    - Audio file tags are supported for mp3 and m4a files and get displayed.
    - Cover art is supported as embedded cover art in m4a files or as folder.jpg or cover.jpg in same directory.
    - Support for previous song, next song, fast forward and rewind.
    - Shows current time and remaining time of song.
  - Image Viewer
    - The image viewer has now an additional toolbar button to store an image to the camera roll.
  - PDF Viewer
    - Rewrote whole handling of drawing so that much higher zoom scales are possible.
    - Double tap now zooms in by factor 2 or - if already zoomed in - zooms out to page width.
    - Single tap shows and hides navigation bar and status bar.
    - When going to another page the viewer will scroll to the upper left corner.
  - Web Viewer
    - Corrected problem that for local in-page links the navigation bar got updated and showed only "Loading...".
  - Text Editor/Property List Editor
    - The text editor and the property list editor have been separated. This way it is easily possible to directly edit files in plist format which have another extension via Open with...
    - Added button to toolbar to hide/show navigation bar and status bar.
    - Added text search button and functionality. The search wraps around at end of the file. If the search string gets found the editor scrolls to it. Highlighting of the found text is not possible.
    - Added possibility to hide the keyboard in editing mode (Done button).
  - Debian Package Installer
    - iFile can now install Debian packages in addition to unpacking their content.
  - External Viewers
    - iFile supports now external viewers defined by the themes. This works by specifying an application ID and an applications custom scheme for a given mime-type. iFile will then open a file by passing its path that external viewer using the custom URL scheme.
  - Preferences:
    - New option for showing song title instead of file name for audio files (mp3 and m4a).
    - New option for showing image thumbnails instead of file icons.

- ## 1.0.1-1 - Bugfix and Feature Release

  - iFile becomes ShareWare. A number of users complained that donations should not be enforced. Since I require some financial compensation for the development of iFile, I don't call it 'donation' anymore, but 'registration' which should be clearer.
  - Added registration GUI to be opened from iFile Registration pop-up or iFile Preferences.
  - Added support for ifile://... URL handling. Only files from ~mobile can be opened using such URL.

- ## 1.0.0-2 - Bugfix Release

  - Fixed issue with error message while unpacking rar files. The extracted files now get placed into current directory instead of /private/var/mobile.
  - Corrected encoding in changelog.html and features.html in Polish documentation

- ## 1.0.0-1 - Bugfix and Feature Release

  - iPhoneOS 2.x and 3.0 compatiblity
  - Added Czech, Polish and Ukrainian localizations.
  - Donation-Alert
    - When starting up iFile will now show an alert that informs the user about current number of downloaded iFile copies and number of donations missing until next release. The user then has the opportunity to directly go to PayPal to donate. The download and donation count gets downloaded from the internet (iphone.heinelt.eu) when starting iFile. This download happens only once per day.
  - File Browser
    - Double tap selects/deselects all files of a directory in edit mode.
    - Fixed that for creation of a new file/directory/link the 'Type' field did not show that the field is editable even though it is. The 'Type' field shows now the chevron on the right side.
    - Copy/Move
      - Copying and moving files takes now place in the background (separate thread).
      - A progress view is visible informing about the currently moved/copied file.
      - When a file already exists a dialog is shown to allow the user to
        - Cancel the operation.
        - Rename the file to be copied (gets automaticly renamed - ' (<number>)' will get appended.)
        - Overwrite the existing file.
        - Overwrite all existing files.
    - Attributes of Directories
      - For a directory the attributes editor shows now the size of its content (sum of size of all files contained in the folder) and the number of contained files.
    - Compression of files is now taking place in a background thread.
  - Text Viewer
    - Support added for nib and xib files.
  - Zip Viewer
    - Support for extraction of more compressed file formats added: 7z, deb, rar, tar, tar.gz, tar.bz2, tar.Z, tgz, tbz2, gz, bz2, Z.
    - The extraction is using unzip for zip files, unrar for rar files, tar for all tar-based files. All other extensions are supported through p7zip (7z) run under user mobile.
    - Getting file contents, extracting files and deleting files is now taking place in background thread.
  - Web Server
    - Added support for folder browsing (descend in hierarchy)
    - Server index pages got a face lift.
    - Added progress bar for upload and download of files.
    - Server status view lists now all page and file requests.
    - Server port number can now be configured in Preferences.
  - Preferences
    - Added field to allow setting of Web Server port number.

- ## 0.9.7 - Bugfix and Feature Release

  - Added Amharic (Ethiopian), Chinese, Russian and Turkish localizations.
  - Preferences
    - Fixed minor issue with setting of fields to initial values after returning from setting of theme or sort order.
  - Mime-Types
    - Added audio/x-wav to registered mime-types for audio player (had typo in mime-type).
  - File Browser
    - Animations added for browser navigation and home button.
    - Browser scrolls to 1st row when descending into directory and to previously selected row when ascending in hierarchy.
    - Bookmarking button added (see below).
    - Fixed performance issue during startup of iFile in context of directories with thousands of files. As a result iFile does not get killed by the operating system anymore.
    - The blue disclosure button on right side is now also shown in non-editing mode.
  - Attributes Editor
    - There is now support to choose a viewer to open the file with. This is not a setting, but opens the viewer directly with the current file.
  - Bookmarking
    - GUI with same look and feel as in Safari in respect to all functionality.
    - Support for Bookmarking added to File Browser (folder bookmarking and usage/editing of bookmarks), to Web Viewer (document and web page bookmarking), PDF Viewer (document bookmarking), Text Viewer (document bookmarking).
    - Bookmarks can only be opened from File Browser.
    - Safari bookmarks can be used, but not modified.
  - Document/Web Viewer
    - Navigation and tool bar can be hidden by a single tap.
  - PDF Viewer
    - Navigation and tool bar can be hidden by a single tap.
    - Double tap navigates to next page.
  - Text Viewer
    - Navigation and toolbar can be hidden by a single tap. Please note that this will only happen if the cursor position does not change (in edit mode).
  - MobileSubstrate Support
    - Added support for MobileSubstrate: MobileSubstrate does not get automatically loaded for applications running under user "root". Now with MobileSubstrate getting loaded by iFile all MobileSubstrate-based extensions work also in iFile, e.g. Clippy etc.
    - Added support to File Browser to pass file path of table row to Clippy.
  - Documentation
    - The localized manual has been moved into separate Cydia packages for each language.
    - Feature and change-log page still remain in the main iFile Cydia package.
    - When clicking on "Manual" link in documentation Cydia will come up with the correct package allowing you to directly install it.
    - This change was required because the iFile Cydia package became inconveniently large.

- ## 0.9.6-2 - Bugfix Release

  - Web Server
    - Fixed issue with iFile getting into low memory situation with large files during download.
    - Enhanced downloading of file so that file size (Content-Length) gets sent to browser so that it knows what to expect.
    - Enhanced handling of empty uploads to show error page.
    - Fixed issue that content header contained a byte too much with value zero. Lead to issue with all downloaded files to be wrong.

- ## 0.9.6-1 - Bugfix and Feature Release

  - Added Arabic, French and Japanese localizations. Arabic and French documentation will be translated in the coming releases.
  - File Browser
    - Symbolic Links are marked by dark blue file name.
    - Swipe to delete implemented in normal (non-editing) mode.
    - Added '+' toolbar button in edit mode to allow creation of a file, directory or symbolic link including setting of permissions and ownership.
    - Changed file display in table to show file size as Bytes, KB, MB, GB.
    - Added support for opening files without known mime-type with "Open with..." to choose an application for viewing (currently only internal viewers supported).
    - Added "Leopard" theme.
    - Added Home toolbar button.
  - Mime-types
    - Added extension js as part of text/plain.
    - Added extensions of Office 2007 formats of Word, Excel, Powerpoint (docx, xlsx, pptx) to according mime-types.
  - Preference Editor
    - Support for hide/show hidden directories/files added.
    - Support for default path to start with: set on exit or specified path.
    - Support for font size for text viewer.
    - Support for choosing a theme added.
    - Support for sorting in File Browser added: Sort by name, extension, size, or date.
  - Additional fields in Attributes Editor
    - File Size
    - File Type, e.g. Directory, Symbolic Link, Regular File
    - Link Target for Symbolic Links
    - Mime-Type for Regular Files
  - Text Viewer
    - Fixed issue in edit mode that for cancel the text disappeared.
  - Web Server
    - Fixed issue with UTF-8 characters in displayed web pages.

- ## 0.9.5 - Bugfix and Feature Release

  - Fixed problem that ZIP Viewer did not extract files when Extract All Files chosen.
  - Changed application ID from eu.heinelt.iFile to eu.heinelt.ifile because of possible problems with Cydia and BigBoss repository interaction.
  - Enhanced File Attributes Editor for editing of
  - file name
  - file ownership (owner and group)
  - file access permissions for user, group and world (read, write, execute, sticky bit)
  - file last modification date and time
  - Added support for text editing in Text Viewer:
  - Property list (plist) files are now supported to read and write (XML and Binary).
  - Text files are read in as UTF-8 or - if that fails - as ISO-Latin.
  - Text files containing tabulators get expanded at read in, i.e. tabulators get replaced with spaces (expand functionality), because iPhoneOS UITextView otherwise swallows the tabulators. During writing of text files the spaces get replaced with tabulators again (unexpand functionality)
  - The tabulator width can be set in the newly implemented Preference dialog. The default is 8.
  - Files written back to disk will get same owner, group and access permissions as the original file (would be root otherwise).
  - Changed infrastructure for handling file extensions to be based on mime-types and associated file extensions.
  - Added infrastructure of file viewers to be based on mime-types instead of extensions. This also includes possibility of multiple viewers per mime-type so that the user gets to choose the according viewer, e.g. text/html can be viewed with a plain text viewer or a HTML viewer.
  - Added following extensions to text/plain: cfg, cnf, conf, j, java, list, php, plist, script, sh.
  - Added infrastructure to support themes for file icons.
  - Added directional scroll lock in PDF Viewer: If the user begins dragging in one general direction (horizontally or vertically), the PDF Viewer disables scrolling in the other direction until the user stops scrolling.
  - Added Preferences button and Preferences view to allow editing of tabulator width

- ## 0.9.4 - Feature Release

  - Italian localization added.
  - Full rewrite of Web Server for file upload and download via WIFI. Performance got much enhanced. Support for large files is now reliable.
  - ZIP file support has been added with a new viewer. It is possible to add files to a new ZIP file, extract all or selected files from a ZIP file, and delete files from a ZIP file.
  - Email one or more files as attachments with Apple MobileMail.
  - Fixed problem that PDF Viewer never showed last page.

- ## 0.9.3 - Feature Release

  - This release lets iFile run with super user permissions. The user can now rename and delete any file or folder in the /var file system.
  - Edit mode now also supports copy, cut and paste of files and directories.
  - In addition to German and English localization, a Spanish one has been added.

- ## 0.9.2 - Bugfix Release

  - This release fixes the issue that a user ends up in /var/mobile/Documents after initial install and start, but cannot navigate up in hierarchy.

- ## 0.9.1 - Initial Public Release in BigBoss Repository

  - Text files now displayed in specific UITextView controller with smaller font than UIWebView font.
  - Included detailed documentation

- ## 0.9.0 - Initial Version

  - PDF get displayed with a custom view with ability to jump to specific pages.
  - Images get displayed using a UIWebView.
  - Excel, Word, PowerPoint, HTML, Text get displayed using a UIWebView.
  - Movies and Sound get played using a MPMoviePlayerController.
  - Web Server allows transfer of files to and from iFile to any PC, Mac etc.
  - Deletion of multiple files or directories at once.
  - Renaming of files and directories.